# Contributing to `cosign`

The following document will detail the steps needed in order to ensure all of the correct processes are followed when contributing to `cosign`.

The following are needed to be completed before a Pull Request is raised:

- unit tests written, run, and passing
- lint run
- document generation run

## Building

To build `cosign` locally, run the following:

```shell
make cosign
```

## Running Unit Tests

To run the unit tests, run the following:

```shell
make test
```

## Running Lint

To run linting, run the following:

```shell
make lint
```

## Document Generation

To document generation, run the following:

```shell
make docgen
```
